CVE-2003-0044
CVSS6.8
发布时间 :2003-02-07 00:00:00
修订时间 :2008-09-10 20:05:26
NMCOS    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in the (1) examples and (2) ROOT web applications for Jakarta Tomcat 3.x through 3.3.1a allow remote attackers to insert arbitrary web script or HTML.


[CNNVD]Apache Tomcat示例网络应用跨站脚本执行漏洞(CNNVD-200302-008)

        
        Apache Tomcat是一个流行的开放源码的JSP应用服务器程序。
        Apache Tomcat软件发布所带的一些示例Web应用存在跨站脚本漏洞,远程攻击者可能利用这个漏洞进行非法活动。
        Apache Tomcat 3.3.1a及其以前版本的软件发布中带的一些示例Web应用存在漏洞,远程攻击者可以利用这些漏洞窃取用户基于Cookie的认证信息或在用户的机器上执行恶意操作。
        

- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:apache:tomcat:3.2.3Apache Software Foundation Tomcat 3.2.3
cpe:/a:apache:tomcat:3.2.1Apache Software Foundation Tomcat 3.2.1
cpe:/a:apache:tomcat:3.1Apache Software Foundation Tomcat 3.1
cpe:/a:apache:tomcat:3.3Apache Software Foundation Tomcat 3.3
cpe:/a:apache:tomcat:3.0Apache Software Foundation Tomcat 3.0
cpe:/a:apache:tomcat:3.2.4Apache Software Foundation Tomcat 3.2.4
cpe:/a:apache:tomcat:3.1.1Apache Software Foundation Tomcat 3.1.1
cpe:/a:apache:tomcat:3.2Apache Software Foundation Tomcat 3.2
cpe:/a:apache:tomcat:3.3.1Apache Software Foundation Tomcat 3.3.1
cpe:/a:apache:tomcat:3.3.1aApache Software Foundation Tomcat 3.3.1a

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0044
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0044
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200302-008
(官方数据源) CNNVD

- 其它链接及资源

http://www.debian.org/security/2003/dsa-246
(VENDOR_ADVISORY)  DEBIAN  DSA-246
http://www.securityfocus.com/advisories/5111
(UNKNOWN)  HP  HPSBUX0303-249
http://jakarta.apache.org/builds/jakarta-tomcat/release/v3.3.1a/RELEASE-NOTES-3.3.1a.txt
(VENDOR_ADVISORY)  CONFIRM  http://jakarta.apache.org/builds/jakarta-tomcat/release/v3.3.1a/RELEASE-NOTES-3.3.1a.txt
http://jakarta.apache.org/builds/jakarta-tomcat/release/v3.3.1a/
(VENDOR_ADVISORY)  CONFIRM  http://jakarta.apache.org/builds/jakarta-tomcat/release/v3.3.1a/
http://xforce.iss.net/xforce/xfdb/11196
(UNKNOWN)  XF  tomcat-web-app-xss(11196)
http://www.securityfocus.com/bid/6720
(UNKNOWN)  BID  6720
http://www.osvdb.org/9204
(UNKNOWN)  OSVDB  9204
http://www.osvdb.org/9203
(UNKNOWN)  OSVDB  9203
http://www.ciac.org/ciac/bulletins/n-060.shtml
(UNKNOWN)  CIAC  N-060
http://secunia.com/advisories/7972
(UNKNOWN)  SECUNIA  7972

- 漏洞信息

Apache Tomcat示例网络应用跨站脚本执行漏洞
中危 输入验证
2003-02-07 00:00:00 2005-10-20 00:00:00
远程  
        
        Apache Tomcat是一个流行的开放源码的JSP应用服务器程序。
        Apache Tomcat软件发布所带的一些示例Web应用存在跨站脚本漏洞,远程攻击者可能利用这个漏洞进行非法活动。
        Apache Tomcat 3.3.1a及其以前版本的软件发布中带的一些示例Web应用存在漏洞,远程攻击者可以利用这些漏洞窃取用户基于Cookie的认证信息或在用户的机器上执行恶意操作。
        

- 公告与补丁

        厂商补丁:
        Apache Software Foundation
        --------------------------
        厂商将在3.3.2新版软件中解决此安全问题:
        
        http://jakarta.apache.org/tomcat/index.html

- 漏洞信息

9203
Apache Tomcat examples Application XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Jakarta Tomcat contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate multiple variables in examples applications. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2003-01-25 Unknow
2003-01-25 Unknow

- 解决方案

Upgrade to version 3.3.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Apache Tomcat Example Web Application Cross Site Scripting Vulnerability
Input Validation Error 6720
Yes No
2003-01-26 12:00:00 2009-07-11 08:06:00
This vulnerability was reported by the Jakarta Tomcat Team.

- 受影响的程序版本

Apache Software Foundation Tomcat 3.3.1 a
Apache Software Foundation Tomcat 3.3.1
Apache Software Foundation Tomcat 3.3
- BSDI BSD/OS 4.0
- Caldera OpenLinux 2.4
- Conectiva Linux 5.1
- Debian Linux 2.2
- Debian Linux 2.1
- Digital UNIX 4.0
- FreeBSD FreeBSD 5.0
- FreeBSD FreeBSD 4.0
- Mandriva Linux Mandrake 7.1
- Mandriva Linux Mandrake 7.0
- NetBSD NetBSD 1.4.2 x86
- NetBSD NetBSD 1.4.1 x86
- RedHat Linux 6.2 i386
- RedHat Linux 6.1 i386
- SGI IRIX 6.5
- SGI IRIX 6.4
- Sun Solaris 8_sparc
- Sun Solaris 7.0
Apache Software Foundation Tomcat 3.2.4
Apache Software Foundation Tomcat 3.2.3
Apache Software Foundation Tomcat 3.2.1
- BSDI BSD/OS 4.0
- Caldera OpenLinux 2.4
- Conectiva Linux 5.1
- Debian Linux 2.2
- Debian Linux 2.1
- Digital UNIX 4.0
- FreeBSD FreeBSD 5.0
- FreeBSD FreeBSD 4.0
- HP Secure OS software for Linux 1.0
- Mandriva Linux Mandrake 7.1
- Mandriva Linux Mandrake 7.0
- NetBSD NetBSD 1.4.2 x86
- NetBSD NetBSD 1.4.1 x86
- RedHat Linux 6.2 i386
- RedHat Linux 6.1 i386
- SGI IRIX 6.5
- SGI IRIX 6.4
- Sun Solaris 8_sparc
- Sun Solaris 7.0
Apache Software Foundation Tomcat 3.2
- BSDI BSD/OS 4.0
- Caldera OpenLinux 2.4
- Conectiva Linux 5.1
- Debian Linux 2.2
- Debian Linux 2.1
- Digital UNIX 4.0
- FreeBSD FreeBSD 5.0
- FreeBSD FreeBSD 4.0
- Mandriva Linux Mandrake 7.1
- Mandriva Linux Mandrake 7.0
- NetBSD NetBSD 1.4.2 x86
- NetBSD NetBSD 1.4.1 x86
- RedHat Linux 6.2 i386
- RedHat Linux 6.1 i386
- SGI IRIX 6.5
- SGI IRIX 6.4
- Sun Solaris 8_sparc
- Sun Solaris 7.0
Apache Software Foundation Tomcat 3.1.1
Apache Software Foundation Tomcat 3.1
- BSDI BSD/OS 4.0
- Caldera OpenLinux 2.4
- Conectiva Linux 5.1
- Debian Linux 2.2
- Debian Linux 2.1
- Digital UNIX 4.0
- FreeBSD FreeBSD 5.0
- FreeBSD FreeBSD 4.0
- Mandriva Linux Mandrake 7.1
- Mandriva Linux Mandrake 7.0
- NetBSD NetBSD 1.4.2 x86
- NetBSD NetBSD 1.4.1 x86
- RedHat Linux 6.2 i386
- RedHat Linux 6.1 i386
- SGI IRIX 6.5
- SGI IRIX 6.4
- Sun Solaris 8_sparc
- Sun Solaris 7.0
Apache Software Foundation Tomcat 3.0
- BSDI BSD/OS 4.0
- Caldera OpenLinux 2.4
- Debian Linux 2.2
- Debian Linux 2.1
- Digital UNIX 4.0
- FreeBSD FreeBSD 5.0
- FreeBSD FreeBSD 4.0
- Mandriva Linux Mandrake 7.1
- Mandriva Linux Mandrake 7.0
- NetBSD NetBSD 1.4.2 x86
- NetBSD NetBSD 1.4 x86
- RedHat Linux 6.2 i386
- RedHat Linux 6.1 i386
- SGI IRIX 6.5
- SGI IRIX 6.4
- Sun Solaris 8_sparc
- Sun Solaris 7.0
Apache Software Foundation Tomcat 3.3.1 a

- 不受影响的程序版本

Apache Software Foundation Tomcat 3.3.1 a

- 漏洞讨论

A vulnerability has been reported for Apache Tomcat. Reportedly, it is possible for an attacker to launch a cross site scripting attack.

The cross site scripting vulnerabilities exist in some sample web applications distributed with Apache Tomcat 3.3.1a and earlier.

This may enable a remote attacker to steal cookie-based authentication credentials from legitimate users of a host running Tomcat. Other attacks are also possible.

- 漏洞利用

There is no exploit code required.

- 解决方案

HP has released an advisory (HPSBUX0303-249) that contains fixes to address this issue.

This issue will reportedly be addressed by the vendor in Tomcat version 3.3.2.

Fixes available:


Apache Software Foundation Tomcat 3.0

Apache Software Foundation Tomcat 3.1

Apache Software Foundation Tomcat 3.1.1

Apache Software Foundation Tomcat 3.2

Apache Software Foundation Tomcat 3.2.1

Apache Software Foundation Tomcat 3.2.3

Apache Software Foundation Tomcat 3.2.4

Apache Software Foundation Tomcat 3.3

Apache Software Foundation Tomcat 3.3.1

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站